Software and hardware requirements: IBM Content Manager Services for Lotus Quickr Version 1 Release 1

Product documentation


Abstract

This document contains the hardware and software requirements for IBM® Content Manager Services for Lotus® Quickr™ Version 1 Release 1. IBM® Content Manager Services for Lotus Quickr Version 1 Release 1 is a Web application that provides services that can be used by Lotus Quickr or by the Lotus Quickr connectors to enable you to work with documents in Content Manager EE.

The hardware and software requirement information in this document is for IBM Content Manager Services for Lotus Quickr Version 1 Release 1. For hardware and software prerequisite information for Content Manager EE and for Lotus Quickr, see the corresponding product documentation.

Important:
Because other products frequently ship fixes, updates, and new releases, testing every configuration is not possible. In general, you can install and run with updates to supported products if those updates are forward compatible.

Content

This table provides information about software prerequisites for Content Manager Services for Lotus Quickr V1.1.







Legend
Icon Description
Supported Supported
Δ Added or changed information since the last fix pack. This mark in the far left column indicates new or changed information in the row. This mark in a particular cell within a row further identifies a specific change within an existing row.
x86 Intel® 32-bit processors, including IBM® System x®, eServer™ xSeries®, and BladeCenter® servers.
x86-64 64-bit AMD Opteron (AMD64) and Intel® Xeon® (EM64T) processors, including IBM® System x® and BladeCenter® servers
SPARC Sun SPARC technology-based processors
POWER IBM® POWER® technology-based processors, including IBM® System p®, eServer™ pSeries®, System i® and eServer™ iSeries® servers.
IA64 64-bit Intel® Itanium® 2 processors including HP Integrity Servers


Operating system

Operating system (Required) x86 x86-64 POWER SPARC Notes
AIX® 5L 5.3 (64-bit) Technology level
Minimum version: 5
Supported on POWER
AIX 6.1 (64-bit) Technology level
Minimum version: base
Supported on POWER
Red Hat Enterprise Linux® 4.x (32-bit or 64-bit)
Minimum version: Base
Editions: AS, ES, WS
Supported on x86 Supported on x86-64
Red Hat Enterprise Linux 5.x (32-bit or 64-bit)
Minimum version: Base
Editions: AS, ES, WS
Supported on x86 Supported on x86-64
SUSE Linux Enterprise Server 9 SPx (32-bit or 64-bit)
Minimum version: Base
Edition: SLES
Supported on x86 Supported on x86-64
SUSE Linux Enterprise Server 10 SPx (32-bit or 64-bit)
Minimum version: SP1
Edition: SLES
Supported on x86 Supported on x86-64

SUSE Linux Enterprise Server 11 SPx (32-bit or 64-bit)
Minimum version: Base
Edition: SLES
Supported on x86 Supported on x86-64

Solaris 9 (64-bit)
Minimum version: Base
Supported on SPARC

Solaris 10 (64-bit)
Minimum version: Base
Supported on SPARC

Windows® Server 2003 SPx (32-bit or 64-bit)
Minimum version: SP1
Editions: Standard and Enterprise
Includes R2
Supported on x86 Supported on x86-64

Windows Server 2008 SPx (32-bit or 64-bit)
Minimum version: Base
Editions: Standard and Enterprise
Supported on x86 Supported on x86-64

Windows Server 2008 R2 SPx (64-bit)
Minimum version: Base
Editions: Standard and Enterprise
Supported on x86-64


Application server

The following table specifies the supported application server.

Application server (Required) AIX Linux Solaris Windows Notes
WebSphere® Application Server (32-bit or 64 bit) Base 6.1.0.11 and later (64-bit) Supported on AIX Supported  on Linux Supported on Solaris Supported on Windows
WebSphere Application Server (32-bit or 64 bit) Network Deployment 6.1.0.11 and later Supported on AIX Supported  on Linux Supported on Solaris Supported on Windows Deployment in a cluster is not supported.
WebSphere® Application Server (32-bit or 64 bit) Base 7.0 and later Supported on AIX Supported  on Linux Supported on Solaris Supported on Windows
WebSphere Application Server (32-bit or 64 bit) Network Deployment 7.0 and later Supported on AIX Supported  on Linux Supported on Solaris Supported on Windows Deployment in a cluster is not supported.


IBM Information Integrator for Content

IBM DB2 Information Integrator for Content contains the Content Manager EE API binaries, which are required to connect IBM Content Manager Services for Lotus Quickr to Content Manager EE.

IMPORTANT: IBM Content Manager Services for Lotus Quickr on 64-bit Windows requires DB2 Content Manager Connector of IBM DB2 Information Integrator for Content V8.4.1 Fix Pack 1 or later.

IBM DB2 Information Integrator for Content (Required) AIX Linux Solaris Windows
IBM DB2 Information Integrator for Content V8.4.1 or later Supported on AIX Supported on Linux Supported on Solaris Supported on Windows
IBM DB2 Information Integrator for Content V8.4.2 or later Supported on AIX Supported on Linux Supported on Solaris Supported on Windows


IBM Lotus Quickr

Lotus Quickr component and version Notes
IBM Lotus Quickr connectors Version 8.1.1, Version 8.2, and Version 8.5 IBM Lotus Quickr detailed system requirements
Lotus Quickr 8.5 for WebSphere Portal For Content Manager Services for Lotus Quickr Version 1.1, 8.2-Quickr-Domino-Connector-HF7-ENGLISH is required with Lotus Quickr connectors Version 8.1.1.


Content server

The following table specifies the supported content servers. You must choose a content server from the following table. IBM Content Manager Services for Lotus Quickr Version 1.1 is available only for content management configurations on DB2 databases.

Content server (Required) Notes
IBM DB2 Content Manager V8.4.2 or later Software requirements for DB2 Content Manager Enterprise Edition Version 8.4.2
IBM DB2 Content Manager V8.4.1 or later Software requirements for DB2 Content Manager Enterprise Edition Version 8.4.1
IBM DB2 Content Manager for z/OS® V8.4.2 or later Hardware and software requirements for DB2 Content Manager for z/OS Version 8.4.2
IBM DB2 Content Manager for z/OS® V8.4.1 or later Hardware and software requirements for DB2 Content Manager for z/OS Version 8.4.1

Directory server

IBM Content Manager Services for Lotus Quickr supports all LDAP servers that Content Manager EE supports.


Sizing and capacity planning

Content Manager EE and Lotus Quickr have different functionality and performance characteristics, and drive different performance and load characteristics onto their Content Manager EE and Lotus Quickr servers. The amount of necessary CPU processing power, RAM, and disk space vary depending on your specific workload and your desired system capacity and performance. To build the best working system that you can test and then move into production, work with the Techline team to identify the necessary requirements by machine. Your IBM Sales representative can contact Techline for you.


Related documentation
Document Format
IBM DB2 Content Manager information center HTML
IBM ECM Services for Lotus Quickr forum HTML


Change history
History Date Change
Release June 2010


Related information

IBM DB2 Content Manager information center
IBM ECM Services for Lotus Quickr forum
IBM ECM Services for Lotus Quickr user group

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Content Manager
Content Manager Services for Lotus Quickr

Software version:

8.4.1, 8.4.1.1, 8.4.2, 8.4.2.1

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

7015723

Modified date:

2012-06-18

Translate my page

Machine Translation

Content navigation